PaidGoods
API referenceCustomer account

Price a top-up with each payment method

POST
/v1/public/stores/{storeId}/account/balance/topup/preview

Path Parameters

storeId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/public/stores/string/account/balance/topup/preview" \  -H "Content-Type: application/json" \  -d '{    "amountMinor": -9007199254740991  }'
{  "amountMinor": -9007199254740991,  "currency": "string",  "balanceMinor": -9007199254740991,  "methods": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "provider": "string",      "label": "string",      "description": "string",      "eligible": true,      "reason": "string",      "message": "string",      "feeMinor": -9007199254740991,      "totalMinor": -9007199254740991    }  ]}